%define name            uchardet
%define version         0.0.3
%define release         %mkrel 1
%define major		0
%define libname		%mklibname uchardet %major
%define dlibname	%mklibname uchardet -d

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	uchardet is an encoding detector library.
Summary(de):	uchardet ist eine Bibliothek zum Detektieren des Encodings.
License:	MPLv1.1
Group:		System/Base
URL:		https://github.com/BYVoid/uchardet
Source0:	%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	cmake
Requires:	%{libname} = %version-%release

%description
uchardet is a C language binding of the original C++ implementation of the 
universal charset detection library by Mozilla.

uchardet is an encoding detector library, which takes a sequence of bytes in an 
unknown character encoding without any additional information, and attempts to 
determine the encoding of the text.


%package -n	%libname
Summary:	uchardet is an encoding detector library.
Summary(de):	uchardet ist eine Bibliothek zum Detektieren des Encodings.
Group:		System/Libraries

%description -n %libname
uchardet is a C language binding of the original C++ implementation of the 
universal charset detection library by Mozilla.

uchardet is an encoding detector library, which takes a sequence of bytes in an 
unknown character encoding without any additional information, and attempts to 
determine the encoding of the text.

This package contains the runtime libraries required to launch applications which
are linked against libuchardet.


%package -n	%dlibname
Summary:	uchardet is an encoding detector library.
Summary(de):	uchardet ist eine Bibliothek zum Detektieren des Encodings.
Group:		Development/Libraries
Requires:	%libname = %{version}-%{release}
Provides:	%name-devel = %{version}-%{release}


%description -n %dlibname
uchardet is a C language binding of the original C++ implementation of the 
universal charset detection library by Mozilla.

uchardet is an encoding detector library, which takes a sequence of bytes in an 
unknown character encoding without any additional information, and attempts to 
determine the encoding of the text.

This package contains the development libraries required to develop applications 
which use libuchardet.



%prep
%setup -q -n %{name}-%{version}

%build
%cmake
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

# remove static library
rm -f %{buildroot}%{_libdir}/lib%{name}.a

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc COPYING AUTHORS
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.bz2

%files -n %dlibname
%defattr(-,root,root)
%{_includedir}/%{name}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n %libname
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.%{major}*


%changelog
* Thu Nov 19 2015 bb <bb> 0.0.3-1pclos2015
- update

* Sun Aug 02 2015 ghostbunny <ghostbunny at gmx dot de> 0.0.1-1pclos2015
- 0.0.1 initial build for pclos
